Bug 1572276 - KeepAlive tuning unsufficient
Summary: KeepAlive tuning unsufficient
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Tuning Guide
Version: 6.3.1
Hardware: All
OS: All
unspecified
high
Target Milestone: Unspecified
Assignee: sbadhwar
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 15:09 UTC by Jan Jansky
Modified: 2019-09-26 16:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 00:03:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Jansky 2018-04-26 15:09:32 UTC
Description of problem:
In documentation at https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/tuning_red_hat_satellite/#tuning_keepalive_settings

missing at all where to put those KeepAlive parameters.

It should be inside of <Location>? Outside of <Location>? Inside of <LocationMatch>?


Expected results:
See exactly where put those parameters.


Additional info:
Also imho those parameters will be removed with satellite upgrade, because this file is managed by puppet. Why is not there at least that warning? Or much better how to preserve them?

Comment 1 Jan Jansky 2018-04-26 15:10:25 UTC
Please as first approve where should be placed KeepAlive parameters

Customer is waiting on your approval

Comment 2 Pradeep Kumar Surisetty 2018-04-26 15:26:33 UTC
(In reply to jjansky from comment #1)
> Please as first approve where should be placed KeepAlive parameters
> 
> Customer is waiting on your approval

Its updated here. 

https://bugzilla.redhat.com/show_bug.cgi?id=1571165

We will be fixing perf guide soon

Comment 3 Jan Jansky 2018-04-26 15:36:26 UTC
(In reply to Pradeep Kumar Surisetty from comment #2)
> (In reply to jjansky from comment #1)
> > Please as first approve where should be placed KeepAlive parameters
> > 
> > Customer is waiting on your approval
> 
> Its updated here. 
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1571165
> 
> We will be fixing perf guide soon

Thank you for reply, but in https://bugzilla.redhat.com/show_bug.cgi?id=1571165 is in which file it should be, not in which part of configuration.

Can you please approve if those settings should be inside of some of Location directive in configuration files? Or if they should be outside of directives?

For Example

usage of 

<Location /pub>
...
KeepAlive On
MaxKeepAliveRequests 0
KeepAliveTimeout 5

</Location>

will have different impact then

<Location /pub>
...
</Location>

KeepAlive On
MaxKeepAliveRequests 0
KeepAliveTimeout 5


Note You need to log in before you can comment on or make changes to this bug.